| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::DAdjustableLabel Class Reference

A label to show text adjusted to widget size.

Inheritance diagram for Digikam::DAdjustableLabel:

## Public Slots
void | setAdjustedText (const QString &text=QString())

## Public Member Functions
| DAdjustableLabel (QWidget *const parent=nullptr)
QString | adjustedText () const
QSize | minimumSizeHint () const override
void | setAlignment (Qt::Alignment align)
void | setElideMode (Qt::TextElideMode mode)
QSize | sizeHint () const override